SDL_AssertData Struct Reference

`#include <SDL_assert.h>`

Collaboration diagram for SDL_AssertData:
[legend]

## Data Fields

bool | always_ignore
unsigned int | trigger_count
const char * | condition
const char * | filename
int | linenum
const char * | function
const struct SDL_AssertData * | next

## Detailed Description

Information about an assertion failure.

This structure is filled in with information about a triggered assertion, used by the assertion handler, then added to the assertion report. This is returned as a linked list from SDL_GetAssertionReport().

Since
  This struct is available since SDL 3.2.0.

Definition at line 327 of file SDL_assert.h.

## Field Documentation

## always_ignore

bool SDL_AssertData::always_ignore

true if app should always continue when assertion is triggered.

Definition at line 329 of file SDL_assert.h.

## condition

const char* SDL_AssertData::condition

A string of this assert's test code.

Definition at line 331 of file SDL_assert.h.

## filename

const char* SDL_AssertData::filename

The source file where this assert lives.

Definition at line 332 of file SDL_assert.h.

## function

const char* SDL_AssertData::function

The name of the function where this assert lives.

Definition at line 334 of file SDL_assert.h.

## linenum

int SDL_AssertData::linenum

The line in filename where this assert lives.

Definition at line 333 of file SDL_assert.h.

## next

const struct SDL_AssertData* SDL_AssertData::next

next item in the linked list.

Definition at line 335 of file SDL_assert.h.

## trigger_count

unsigned int SDL_AssertData::trigger_count

Number of times this assertion has been triggered.

Definition at line 330 of file SDL_assert.h.

The documentation for this struct was generated from the following file:

- SDL_assert.h